set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on

spool cardinalityfeedback.log

drop table test;

create table test as select * from dba_tables;

select /*+ cardinality(test,1) */ count(*) from test;
             
select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

select /*+ cardinality(test,1) */ count(*) from test;
             
select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

select /*+ opt_param('_optimizer_use_feedback' 'false') cardinality(test,1) */ count(*) from test;
             
select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

spool off
